From 64f75867aa15cfd6ef39f21a9a4e663e54919322 Mon Sep 17 00:00:00 2001
From: Haidong Yu <yuhaidong@uniontech.com>
Date: Thu, 3 Sep 2020 15:42:19 +0800
Subject: [PATCH v2 2/2] user32: Fix the owned pop-up window visibility issues
 when  its owner window is minimizing or showing.

Signed-off-by: Haidong Yu <yuhaidong@uniontech.com>
---
 dlls/user32/winpos.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/dlls/user32/winpos.c b/dlls/user32/winpos.c
index b45b74ce82..05cff8e7b5 100644
--- a/dlls/user32/winpos.c
+++ b/dlls/user32/winpos.c
@@ -1064,6 +1064,7 @@ static BOOL show_window( HWND hwnd, INT cmd )
 
 	case SW_SHOWMINNOACTIVE:
         case SW_MINIMIZE:
+            ShowOwnedPopups(hwnd, FALSE);
         case SW_FORCEMINIMIZE: /* FIXME: Does not work if thread is hung. */
             swp |= SWP_NOACTIVATE | SWP_NOZORDER;
             /* fall through */
@@ -1092,6 +1093,7 @@ static BOOL show_window( HWND hwnd, INT cmd )
 
 	case SW_SHOWNOACTIVATE:
             swp |= SWP_NOACTIVATE | SWP_NOZORDER;
+            ShowOwnedPopups(hwnd, TRUE);
             /* fall through */
 	case SW_RESTORE:
             /* fall through */
-- 
2.20.1

